> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/page-manipulation/split.md).

# Split PDF pages in Android

Learn how to split a PDF document into multiple pages, merge, copy, delete, and rearrange PDF pages with full code samples. Master the ImportPages() function today! The Apryse Android SDK streamlines

To split a PDF document into multiple pages.

{% tabs %}
{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
PDFDoc doc = new PDFDoc(filename);
int page_num = doc.getPageCount();
for (int i=1; i<=page_num; ++i)
{
  PDFDoc new_doc = new PDFDoc();
  new_doc.insertPages(0, doc, i, i, PDFDoc.InsertBookmarkMode.NONE, null);
  new_doc.save(output_filename + "_split_page_" + i + ".pdf", SDFDoc.SaveMode.LINEARIZED, null);
  new_doc.close();
}
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
val doc = PDFDoc(filename)
val page_num = doc.getPageCount();
for (i in 1..page_num)
{
  val new_doc = PDFDoc()
  new_doc.insertPages(0, doc, i, i, PDFDoc.InsertBookmarkMode.NONE, null)
  new_doc.save(output_filename + "_split_page_" + i + ".pdf", SDFDoc.SaveMode.LINEARIZED, null)
  new_doc.close()
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Merge, Copy, Delete, and Rearrange PDF Pages](/android/get-started/samples.md#pdfpage) Full code sample which illustrates how to copy pages from one document to another, how to delete, and rearrange pages and how to use ImportPages().


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/page-manipulation/split.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
